function mapNameToHinduMaleReligion(name) {
    const lowerCaseName = name.toLowerCase().trim();
    if (
        lowerCaseName === 'sagar' ||
        lowerCaseName === 'sumit' ||
        lowerCaseName === 'satyam' ||
        lowerCaseName === 'ravi' ||
        lowerCaseName === 'ravikant' ||
        lowerCaseName === 'shivam' ||
        lowerCaseName === 'rajesh' ||
        lowerCaseName === 'rinku' ||
        lowerCaseName === 'rohit' ||
        lowerCaseName === 'vishnu' ||
        lowerCaseName === 'himanshu' ||
        lowerCaseName === 'gopal' ||
        lowerCaseName === 'aman'
    ) {
        return 'Hindu';
    }
    return 'Unknown'; // Default if no match found
}
